import javax.swing.*;
import javax.swing.border.EmptyBorder;
import java.awt.*;

/**
 * Created by Jan on 15.05.2017.
 * Tysox.de Developer
 */
public class PasswordTyper extends JFrame {

    private JPanel contentPane;
    private JTextField text;
    private Keyboard keyboard;

    public static void main(String... args) {
        EventQueue.invokeLater(() -> {
            try {
                PasswordTyper frame = new PasswordTyper();
                frame.setVisible(true);
                frame.setTitle("PasswortTyper");
            } catch (Exception e) {
                e.printStackTrace();
            }
        });
    }

    public PasswordTyper() {
        try {
            keyboard = new Keyboard();
        } catch (AWTException e) {
            e.printStackTrace();
        }
        setResizable(true);
        setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        setBounds(100, 100, 450, 300);
        contentPane = new JPanel();
        contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
        contentPane.setLayout(new BorderLayout(0, 0));
        setContentPane(contentPane);

        text = new JTextField();
        contentPane.add(text, BorderLayout.NORTH);
        text.setColumns(10);

        JButton startButton = new JButton("Type");
        startButton.addActionListener(e -> {
            new Thread(new TypeThread()).start();
        });
        contentPane.add(startButton, BorderLayout.WEST);
    }

    private class TypeThread extends Thread {
        @Override
        public void run() {
            try {
                sleep(2000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            keyboard.type(text.getText());
            keyboard.typeEnter();
        }
    }

}
